import { cJ as l, O as m, U as c, a6 as i, bU as r, F as o, G as u, a7 as S, a8 as y, Y as a, aa as g, ac as t, bL as x } from "./603b75d9.js";
import "react";
import { SliderChildren as w, SliderWrapper as b, SliderStyled as f, SliderPropertyView as p } from "./d9ab1b80.js";
import "react-dom";
const C = function() {
  const s = {
    ...w,
    start: l("start", 10),
    end: l("end", 60),
    vertical: m
  };
  return new c(s, (e, v) => e.label({
    style: e.style,
    labelStyle: e.labelStyle,
    inputFieldStyle: e.inputFieldStyle,
    animationStyle: e.animationStyle,
    children: /* @__PURE__ */ i(b, {
      $vertical: !!e.vertical,
      onMouseDown: (n) => (n.stopPropagation(), !1),
      children: [r(e.prefixIcon) && e.prefixIcon, /* @__PURE__ */ o(f, {
        ...e,
        range: !0,
        value: [e.start.value, e.end.value],
        $style: e.inputFieldStyle,
        style: {
          margin: 0
        },
        $vertical: !!e.vertical || !1,
        onChange: ([n, d]) => {
          e.start.onChange(n), e.end.onChange(d), e.onEvent("change");
        }
      }), r(e.suffixIcon) && e.suffixIcon]
    })
  })).setPropertyViewFn((e) => /* @__PURE__ */ i(u, {
    children: [/* @__PURE__ */ i(S, {
      name: y.basic,
      children: [e.start.propertyView({
        label: a("rangeSlider.start")
      }), e.end.propertyView({
        label: a("rangeSlider.end")
      }), e.max.propertyView({
        label: a("prop.maximum")
      }), e.min.propertyView({
        label: a("prop.minimum")
      }), e.step.propertyView({
        label: a("rangeSlider.step"),
        tooltip: a("rangeSlider.stepTooltip")
      }), e.vertical.propertyView({
        label: a("slider.vertical")
      })]
    }), /* @__PURE__ */ o(p, {
      ...e
    })]
  })).build();
}(), B = g(C, [new t("start", a("export.sliderStartDesc")), new t("end", a("export.sliderEndDesc")), new t("max", a("export.sliderMaxValueDesc")), new t("min", a("export.sliderMinValueDesc")), ...x]);
export {
  B as RangeSliderComp
};
